<% @tools_decision_mats.each do |tools_decision_mat| %>
  <% @tools_decision_mat = tools_decision_mat %>


  <div class='dec-mat-open admin-col'>
    <h5>
      <%= @tools_decision_mat.name %>
    </h5>

    <div>
      <table id='dec-mat-table'>
        <thead class='mat-title'>
          <% weights = [] %>
          <tr class='dec-mat-crit first'>
            <th rowspan="2" colspan="2" class="mat-diag first">
              <div class="mat-diag-t1">
                <%= t('.criteria')%>
                <br/><%= t('.threshold') %><br/>
                <%= t('.weight') %>
              </div>
              <div class="mat-diag-t2">
                <%= t('.entries') %>
              </div>
            </th>
            <% @tools_decision_mat.crit_dec_mats.includes([:labels_criterium]).each do |crit_dec_mat| %>
              <th colspan="2" style='padding: 0;'><%= crit_dec_mat.labels_criterium.name %>
                <br/>( >
                <span class='dec-mat-thresholds' crit-id='<%=crit_dec_mat.id%>' title='Seuil'>
                  <%= crit_dec_mat.labels_criterium.threshold %>
                </span>
                )
              </th>
            <% end %>
            <th rowspan="2">Total</th>
            <!-- <th colspan="3" class='last'><%#= t('.valid') %> ?</th> -->
          </tr>
          <tr class='dec-mat-crit'>
            <% @tools_decision_mat.crit_dec_mats.each do |crit_dec_mat| %>
              <th colspan='2' class='dec-mat-weights' crit-id='<%=crit_dec_mat.id%>' title='Pondération'>
                <%= crit_dec_mat.weight %>
                <% weights << crit_dec_mat.weight %>
                <% puts "WEIGHTS".yellow
                puts weights %>
              </th>
            <% end %>

            <!-- <th class='mat-valid-title'>?</th>
            <th class='mat-valid-title'><%#= t('.valid') %></th>
            <th class='mat-valid-title'><%#= t('.not_valid') %></th> -->
          </tr>
        </thead>
        <tbody>
          <% @tools_decision_mat.dec_mat_links.includes(:entry).each do |dec_mat_link| %>
            <% entry = dec_mat_link.id %>
            <% total = 0 %>
            <% i = 0 %>
            <tr>
              <th colspan="2" class='mat-entry first-2'><%= dec_mat_link.entry.name %></th>

              <% @tools_decision_mat.crit_dec_mats.each do |crit_dec_mat| %>
                <% dec_mat_val = Tools::DecMatVal.where(dec_mat_link: dec_mat_link, crit_dec_mat: crit_dec_mat)&.first
                   # si pas trouvé => on le crée
                   dec_mat_val = @tools_decision_mat.add_val_link_crit(dec_mat_link, crit_dec_mat) unless dec_mat_val
                %>

                <td style='padding: 0 20px' class='mat-value entry-<%=entry%>'>
                  <%= dec_mat_val.value %>
                  <% total += weights[i] * dec_mat_val.value %>
                </td>
                <td style='padding: 0 20px;'><%= weights[i] * dec_mat_val.value %></td>
                <% i += 1 %>
              <% end %>

              <td class='mat-total'>
                <%= total %>
              </td>

              <!-- <td class='mat-validation radio-item'>

              </td>
              <td class='mat-validation radio-item radio-item-valid'>

              </td>
              <td class='mat-validation radio-item radio-item-invalid'>

              </td> -->
              <% entry += 1 %>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
    <br>
  </div>



<% end %>
